<?php
/**
 * Log settings page
 *
 * @package 	CSVIVirtueMart
 * @author 		Roland Dalmulder
 * @link 		http://www.csvimproved.com
 * @copyright 	Copyright (C) 2006 - 2012 RolandD Cyber Produksi
 * @license 	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @version 	$Id: default.php 1892 2012-02-11 11:01:09Z RolandD $
 */  
 
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<?php
	echo $this->pane->startPane("det-pane");
		echo $this->pane->startPanel( JText::_('COM_CSVIVIRTUEMART_SETTINGS_SITE_SETTINGS'), 'site_settings' );
			echo $this->loadTemplate('site');
		echo $this->pane->endPanel();
		echo $this->pane->startPanel( JText::_('COM_CSVIVIRTUEMART_SETTINGS_IMPORT_SETTINGS'), 'import_settings' );
			echo $this->loadTemplate('import');
		echo $this->pane->endPanel();
		echo $this->pane->startPanel( JText::_('COM_CSVIVIRTUEMART_SETTINGS_GOOGLE_BASE_SETTINGS'), 'google_base_settings' );
			echo $this->loadTemplate('google_base');
		echo $this->pane->endPanel();
		echo $this->pane->startPanel( JText::_('COM_CSVIVIRTUEMART_SETTINGS_ICECAT_SETTINGS'), 'icecat_settings' );
			echo $this->loadTemplate('icecat');
		echo $this->pane->endPanel();
		echo $this->pane->startPanel( JText::_('COM_CSVIVIRTUEMART_SETTINGS_LOG_SETTINGS'), 'log_settings' );
			echo $this->loadTemplate('log');
		echo $this->pane->endPanel();
		echo $this->pane->startPanel( JText::_('COM_CSVIVIRTUEMART_SETTINGS_CUSTOM_TABLES'), 'custom_tables_settings' );
			echo $this->loadTemplate('custom_tables');
		echo $this->pane->endPanel();
	echo $this->pane->endPane(); 
	?>
	<input type="hidden" name="option" value="com_csvivirtuemart" />
	<input type="hidden" name="view" value="settings" />
	<input type="hidden" name="task" value="save" />
</form>
		
<div id="dialog-confirm" class="dialog-hide" title="<?php echo JText::_('COM_CSVIVIRTUEMART_CONFIRM_RESET_SETTINGS_TITLE'); ?>">
	<div class="dialog-info"></div>
	<div class="dialog-text"><?php echo JText::_('COM_CSVIVIRTUEMART_CONFIRM_RESET_SETTINGS_TEXT'); ?></div>
</div>

<script type="text/javascript">
	function submitbutton(pressbutton) {
		if (pressbutton == 'reset') {
			jQuery( "#dialog-confirm" ).dialog({
				resizable: false,
				height:140,
				modal: true,
				buttons: {
					"<?php echo JText::_('COM_CSVIVIRTUEMART_RESET_SETTINGS'); ?>": function() {
						submitform(pressbutton);
					},
					Cancel: function() {
						jQuery( this ).dialog( "close" );
					}
				}
			});

		}
		else submitform(pressbutton);
	}
</script>